package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum GroupType implements BaseEnum<String, GroupType> {
	MUSIC("乐团课"),
	VIP("VIP课"),
	DEMO("试听课"),
	SPORADIC("零星收费"),
	PRACTICE("网管课"),
	COMM("对外课程"),
	REPAIR("乐器维修"),
	GOODS_SELL("商品销售"),
	OUTORDER("外部订单"),
	SUBJECT_CHANGE("声部更换"),
	MAINTENANCE("乐保"),
	REPLACEMENT("乐器置换"),
	DEGREE("6.1考级活动"),
	ACTIVITY("活动购买"),
	MEMBER("购买会员"),
	LIVE_BUY("直播购物"),

	MALL_SELL("商城购物"),;

	private String desc;

	private GroupType(String desc) {
		this.desc = desc;
	}

	public static GroupType valueOfDesc(String desc) {
		GroupType[] values = GroupType.values();
		for (GroupType value : values) {
			if(value.getDesc().equals(desc)){
				return value;
			}
		}
		return null;
	}

	@Override
	public String getCode() {
		return name();
	}

	public String getDesc() {
		return desc;
	}

}
